Skip to content
Start here

Get organization accounts

GET/organizations/{organization_id}/accounts

Retrieve a list of accounts that belong to a specific organization. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/)

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
organization_id: string
Query ParametersExpand Collapse
account_pubname: optional object { contains, endsWith, startsWith }
contains: optional string

(case-insensitive) Filter the list of accounts to where the account_pubname contains a particular string.

endsWith: optional string

(case-insensitive) Filter the list of accounts to where the account_pubname ends with a particular string.

startsWith: optional string

(case-insensitive) Filter the list of accounts to where the account_pubname starts with a particular string.

direction: optional "asc" or "desc"

Sort direction for the order_by field. Valid values: asc, desc. Defaults to asc when order_by is specified.

One of the following:
"asc"
"desc"
name: optional object { contains, endsWith, startsWith }
contains: optional string

(case-insensitive) Filter the list of accounts to where the name contains a particular string.

endsWith: optional string

(case-insensitive) Filter the list of accounts to where the name ends with a particular string.

startsWith: optional string

(case-insensitive) Filter the list of accounts to where the name starts with a particular string.

order_by: optional "account_name"

Field to order results by. Currently supported values: account_name. When not specified, results are ordered by internal account ID.

page_size: optional number

The amount of items to return. Defaults to 10.

maximum1000
minimum0
page_token: optional string

An opaque token returned from the last list response that when provided will retrieve the next page.

Parameters used to filter the retrieved list must remain in subsequent requests with a page token.

ReturnsExpand Collapse
errors: array of unknown
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of object { id, created_on, name, 2 more }
id: string
created_on: string
formatdate-time
name: string
settings: object { abuse_contact_email, access_approval_expiry, api_access_enabled, 3 more }
abuse_contact_email: string
access_approval_expiry: string
formatdate-time
api_access_enabled: boolean
Deprecateddefault_nameservers: string

Use DNS Settings instead. Deprecated.

enforce_twofactor: boolean
Deprecateduse_account_custom_ns_by_default: boolean

Use DNS Settings instead. Deprecated.

type: "standard" or "enterprise"
One of the following:
"standard"
"enterprise"
result_info: object { next_page_token, total_size }
next_page_token: optional string

Use this opaque token in the next request to retrieve the next page.

Parameters used to filter the retrieved list must remain in subsequent requests with a page token.

total_size: optional number

Counts the total amount of items in a list with the applied filters. The API omits next_page_token to indicate no more items in a particular list.

success: true

Get organization accounts

curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID/accounts \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY"
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "created_on": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "settings": {
        "abuse_contact_email": "abuse_contact_email",
        "access_approval_expiry": "2019-12-27T18:11:19.117Z",
        "api_access_enabled": true,
        "default_nameservers": "default_nameservers",
        "enforce_twofactor": true,
        "use_account_custom_ns_by_default": true
      },
      "type": "standard"
    }
  ],
  "result_info": {
    "next_page_token": "next_page_token",
    "total_size": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "created_on": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "settings": {
        "abuse_contact_email": "abuse_contact_email",
        "access_approval_expiry": "2019-12-27T18:11:19.117Z",
        "api_access_enabled": true,
        "default_nameservers": "default_nameservers",
        "enforce_twofactor": true,
        "use_account_custom_ns_by_default": true
      },
      "type": "standard"
    }
  ],
  "result_info": {
    "next_page_token": "next_page_token",
    "total_size": 0
  },
  "success": true
}